import { makeAutoObservable } from "mobx";
export class ConsoleLogsState {
    constructor() {
        this.logs = [];
        makeAutoObservable(this);
    }
    onConsoleMessage(event) {
        this.logs.push(event);
    }
    onClear() {
        this.logs = [];
    }
    get unreadCount() {
        return this.logs.filter((message) => isNotifiable(message.level)).length;
    }
}
function isNotifiable(level) {
    switch (level) {
        case "warn":
        case "error":
            return true;
        default:
            return false;
    }
}
