import styled from "@emotion/styled";
import React, { useCallback } from "react";
export const Link = (props) => {
    const onClick = useCallback((event) => {
        if (props.href) {
            openUrl(props.href);
            event.preventDefault();
        }
        return props.onClick && props.onClick(event);
    }, [props]);
    // eslint-disable-next-line jsx-a11y/anchor-has-content
    return React.createElement(StyledA, { ...props, onClick: onClick });
};
export function openUrl(url) {
    if (window.openInExternalBrowser) {
        window.openInExternalBrowser(url);
        return;
    }
    if (navigator.userAgent.includes(" Code/")) {
        window.parent.postMessage({
            command: "open-browser",
            url,
        }, "*");
        return;
    }
    // We must be running in a browser.
    window.open(url, "_blank");
}
const StyledA = styled.a `
  color: hsl(213, 100%, 10%);
`;
